Kernel version in image and in package repo do not match!



  • Kernel version in image and in package repo do not match! After switching the omega on for the first time it updates itself. That worked fine. Now I logged on to the device and wanted to install additional OpenWrt packages (usb audio) but that is failing because the kernel on the omega has version 3.18.23 but the kernel module packages are compiled with kernel version 3.18.20. So install is failing. Is there a package repo that is in sync with the image ?


  • administrators

    @Koehn-Thomas the OpenWRT repos have some packages that still have dependencies on older kernel versions.

    We're working on getting our own repo setup, stay tuned!



  • Hehe.. well just applied update 0.0.4 (b220) and thanks for the new kernel 3.18.23 :) But sadly still seems 15.05 is pinned to kernel 3.18.20-1.

    I know you are working on your own repo so I won't hassle you too much. Just a gentle reminder that some of us are waiting for them to sync up so we can install necessary things like tinc and any other services that require kernel modules.

    But I do like the new oupgrade script. Very nice not to have to use the Web GUI to upgrade with. Cheers!



  • @TNT While it might be slightly risky, if you use:

    • opkg --force-depends install <packagename>

    it will do the install despite the repo mismatches.

    I suspect this is generally OK so long as there are no ABI changes.


Log in to reply
 

Looks like your connection to Onion Community was lost, please wait while we try to reconnect.